Bug 136978 - yum should upgrade packages
yum should upgrade packages
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-10-24 13:10 EDT by Dawid Gajownik
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-26 09:34:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
uotput from yum and rpm (3.10 KB, text/plain)
2004-10-24 13:12 EDT, Dawid Gajownik
no flags Details

  None (edit)
Description Dawid Gajownik 2004-10-24 13:10:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.8a4)

Description of problem:
I use FC2, but I wanted to upgrade to Rawhide :I I tried updating at
first glibc, but it was complaining about nscd (what is funny, yum
update glibc nscd resolved the problem).

I thought that it would be more sensibly to start with less critical
packages, so I installed kdewebdev. Unfortunatelly, it didn't
unninstall quanta!

"yum update/upgrade kdewebdev" does not work, because this package is
not installed, so it cannot be updated/upgraded.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install package which is obsolated
2. Run "yum install package_which_obsoletes_previous_one" ;)
3. Run rpm to see, that both packages are in rpm database.

Actual Results:  Mess in the system :(

Expected Results:  Yum should by default upgrade packages, not install
Comment 1 Dawid Gajownik 2004-10-24 13:12:57 EDT
Created attachment 105706 [details]
uotput from yum and rpm

This attachment shows steps to reproduce this bug.
Comment 2 Seth Vidal 2004-10-24 23:11:03 EDT
This is two different bug reports.

If you think yum should install packages when you ask it to update
something, then that one will be filed as NOTABUG and WONTFIX. I do
not think it is appropriate to install something that is not installed
when the request is to update it if it is installed.

Now your second comment about the obsoletes being taken into account
for a call to install I'll accept but I'd appreciate it if you filed
that separately and filed it at the yum bugzilla, not at red hat's

I'll close this upstream.
Comment 3 Dawid Gajownik 2004-11-03 10:30:49 EST
Well, I have to reopen this bug :( I checked yum-2.1.11-3 with
rpm-4.3.2-21 (this version does not allow to install packages when
file conflicts occurs).

Unfortunatelly, "yum install kdewebdev" gives the same effect as rpm
-ivh --force kdewebdev*.rpm. In the end /usr/bin/quanta belongs to
quanta and kdewebdev :()

kdewebdev obsoletes quanta package, so quanta should be removed
(actually upgraded) from the system.
Comment 4 Dawid Gajownik 2005-01-26 09:34:06 EST
I didn't have time to check version 2.1.12 but 2.1.13 works correct :-)

Note You need to log in before you can comment on or make changes to this bug.